Bug 57983 - Reproducible X crash possibly associated with fonts
Reproducible X crash possibly associated with fonts
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-04 07:34 EST by Telsa Gwynne
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 10:45:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of crash, with hardware info in it (made with 'script') (11.23 KB, text/plain)
2002-01-04 07:35 EST, Telsa Gwynne
no flags Details
xlsfonts output (164.57 KB, text/plain)
2002-01-04 07:37 EST, Telsa Gwynne
no flags Details

  None (edit)
Description Telsa Gwynne 2002-01-04 07:34:08 EST
Description of Problem:

X crashes when I select
control-center -> mouse -> help -> help on mouse properties.

Version-Release number of selected component (if applicable):

XFree86-4.1.0-3
XFree86-libs-4.1.0-3

How Reproducible:

Always.

Steps to Reproduce:
1. Upgraded from beta (oops) to RH 7.2. Did not (yet) apply updates
2. Messed around with character maps to make it euro-friendly and to 
use ISO8859-15.Given the ugliness of the gtk font and my ability to
view euro signs, concluded it worked. Will get Alan (who did the 
messing) to explain what he changed where.
3. I have gnome-help-browser as my ghelp "url browser" (in case this
is relevant)
4.Gnome -> control-center -> peripherals:mouse -> help -> help on
mouse properties.

Actual Results:

I do not have nautilus running (although it's installed) and I have
gnome-help-browser as the URL. It showed up, then the screen went
black and I was bounced back to the console and X crash output.A
switchbox for keyboard,video and mouse and gdb came in handy here:

Expected Results:

gnome-help-browser to start up and display relevant information.

Additional Information:

I have cc'd Alan so that he can add any exciting technical details
about the character maps and fonts. I'm afraid I'm not quite sure
on that.

All the hardware details are in the gdb backtrace.
Comment 1 Telsa Gwynne 2002-01-04 07:35:53 EST
Created attachment 41771 [details]
backtrace of crash, with hardware info in it (made with 'script')
Comment 2 Telsa Gwynne 2002-01-04 07:37:45 EST
Created attachment 41772 [details]
xlsfonts output
Comment 3 Mike A. Harris 2002-01-17 10:44:58 EST
There are various issues known when upgrading from beta to official
release, some of which are font related.  It is possible you've
ran into one of them.  In particular, some of the problems were due
to broken rpm scripts (%post, %postun, etc), so on upgrade to good
packages, the old broken scripts run and things break.

If you can't do a fresh 7.2 install without much turmoil, I recommend
trying to wipe out all XFree86 packages, and reinstall it.  I'll have
a look at your logfile in a bit and get back to you.

Take care.
Comment 4 Mike A. Harris 2002-01-17 13:35:58 EST
Telsa - just updating and closing bug report as discussed on IRC

XFree86 Version 4.1.0 (Unofficial Build: 4.1.0-3) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Build Operating System: Linux 2.4.9-ac8 i686 [ELF] 
Build Host: oggit.swansea.linux.org.uk

If you experience similar problems with the released XFree86, please
reopen, and/or snag me on IRC.  ;o)

Note You need to log in before you can comment on or make changes to this bug.